OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.SamplePositions

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDSamplePositions :: MonadIO m => m Bool
- gl_AMD_sample_positions :: Bool
- gl_SUBSAMPLE_DISTANCE_AMD :: GLenum
- glSetMultisamplefvAMD :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()

# Extension Support

glGetAMDSamplePositions :: MonadIO m => m Bool

Is the AMD_sample_positions extension supported?

gl_AMD_sample_positions :: Bool

Is the AMD_sample_positions extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDSamplePositions` in those cases instead.

# Enums

gl_SUBSAMPLE_DISTANCE_AMD :: GLenum

# Functions

glSetMultisamplefvAMD

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `2` elements of type `GLfloat`.
-> m () |